function [eqdskAUG, equil_all_t, equil_t_index]=geteqdskAUG(shot,time,NR,NZ,savedir,deltaz,varargin);
%
% [eqdskAUG, equil_all_t, equil_t_index]=geteqdskAUG(shot,time,NR,NZ,savedir,deltaz,varargin);
%
% you can then do:
%     write_eqdsk('fname',eqdskAUG,17); % EQI is COCOS=17 by default, use [17,11] if you want an ITER version
%     write_eqdsk('fname',eqdskAUG,[17 11]); % if you want an ITER version with COCOS=11
%


if ~exist('time'); 
  time_eff = 2.0;
else
  time_eff = time;
end

if ~exist('savedir')
  savedir_eff = '.';
else
  savedir_eff = savedir;
end

if ~exist('deltaz')
  deltaz_eff = NaN; % no shift
else
  deltaz_eff = deltaz;
end

equil=gdat(shot,'equil');
[zz it]=min(abs(equil.t-time_eff));

equil_all_t = equil;
equil_t_index = it;

eqdsk.cocos=17;
eqdsk.nr = size(equil.Rmesh,1);
eqdsk.nz = size(equil.Zmesh,1);
eqdsk.rmesh = equil.Rmesh(:,it);
eqdsk.zmesh = equil.Zmesh(:,it);
eqdsk.p = equil.pressure(:,it);
eqdsk.pprime = equil.dpressuredpsi(:,it);
eqdsk.FFprime = equil.ffprime(:,it);
eqdsk.q = equil.qvalue(:,it);
eqdsk.psimesh = equil.psi(:,it);
eqdsk.rhopsi = equil.rhopolnorm(:,it);
eqdsk.psi = equil.psi2D(:,:,it);
eqdsk.psirz = equil.psi2D(:,:,it);
eqdsk.rboxlen = equil.Rmesh(end,it) - equil.Rmesh(1,it) ;
eqdsk.rboxleft=eqdsk.rmesh(1);
eqdsk.zboxlen = equil.Zmesh(end,it) - equil.Zmesh(1,it) ;
eqdsk.zmid = 0.5*(equil.Zmesh(end,it) + equil.Zmesh(1,it)) ;
eqdsk.psiaxis = equil.psi_axis(it);
eqdsk.psiedge = equil.psi_lcfs(it);
eqdsk.ip = equil.Ip(it);
eqdsk.stitle=['AUGD equil_cliste t=' num2str(time_eff)];
eqdsk.ind1=1;

psisign = sign(eqdsk.psimesh(end)-eqdsk.psimesh(1));
[dum1,dum2,dum3,F2_05]=interpos(psisign.*eqdsk.psimesh,eqdsk.FFprime,-0.1);

b0=gdat(shot,'b0');
[zz itb0]=min(abs(b0.t-time_eff));
eqdsk.b0 = b0.data(itb0);
eqdsk.r0 = 1.65;
fedge=eqdsk.r0.*eqdsk.b0;
F2 = psisign.*2.*F2_05 + fedge.^2;
eqdsk.F = sqrt(F2)*sign(eqdsk.b0);

rmag=gdat(shot,'rmag');
[zz itrmag]=min(abs(rmag.t-time_eff));
eqdsk.raxis = rmag.data(itrmag);
zmag=gdat(shot,'zmag');
eqdsk.zaxis = zmag.data(itrmag);

% get plasma boundary
figure
contour(eqdsk.rmesh,eqdsk.zmesh,eqdsk.psi',100)
hold
psiedge_eff = 0.001*eqdsk.psiaxis + 0.999*eqdsk.psiedge;
[hh1 hh2]=contour(eqdsk.rmesh,eqdsk.zmesh,eqdsk.psi',[psiedge_eff psiedge_eff],'k');
axis equal
ij=1;
ij_prev = 0;
nbhh1(ij)=hh1(2,ij_prev+1);
Rbnd{ij}=hh1(1,2:1+nbhh1(ij));
Zbnd{ij}=hh1(2,2:1+nbhh1(ij));
ij_prev = ij_prev+1+nbhh1(ij);
while (ij_prev+1<size(hh1,2))
  % next
  ij=ij + 1;
  nbhh1(ij)=hh1(2,ij_prev+1);
  Rbnd{ij}=hh1(1,ij_prev+2:ij_prev+1+nbhh1(ij));
  Zbnd{ij}=hh1(2,ij_prev+2:ij_prev+1+nbhh1(ij));
  ij_prev = ij_prev+1+nbhh1(ij);
end
% assume LCFS with most points
[zzz irz]=max(nbhh1);
eqdsk.nbbound = nbhh1(irz);
eqdsk.rplas = Rbnd{irz}';
eqdsk.zplas = Zbnd{irz}';
plot(eqdsk.rplas,eqdsk.zplas,'k-')

[aget]=which('geteqdskAUG');
[path1,name2,ext3]=fileparts(aget);
eval(['load ' fullfile(path1,'AUG_innerouterwall.data')])
eqdsk.nblim=size(AUG_innerouterwall,1);
eqdsk.rlim=AUG_innerouterwall(:,1);
eqdsk.zlim=AUG_innerouterwall(:,2);
plot(eqdsk.rlim,eqdsk.zlim,'k-')

eqdskAUG = eqdsk;
